Nuxa
Api referenceFleksaApiFleksaGuestPayment intent

POST /api/fleksa/guest/payment-intent

POST
/api/fleksa/guest/payment-intent

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Request Body

application/json

shopId*string
amount*number
currency*string
Default"usd"
customerEmail?string
Formatemail
customerName?string
description?string
metadata?object

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.nuxa.ai/api/fleksa/guest/payment-intent" \  -H "Content-Type: application/json" \  -d '{    "shopId": "string",    "amount": 0,    "currency": "usd"  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}